import pytest
from django.urls import reverse
from rest_framework.test import APIClient
from unittest.mock import patch

def test_post_method(django_db_setup):
    # Create a client to make requests
    client = APIClient()

    # Make a post request to your view
    response = client.get(reverse('cosmohome-generate-xml'))  # Replace 'xml_generator_view' with your actual view name

    # Assert the status code is 200
    assert response.status_code == 200
    # Assert the content type is 'text/xml'
    assert response['content-type'] == 'text/xml'
    # Here you can add your additional asserts (like checking the response content)