import requests


class BaseClient:
    def get(self, url, timeout: int = 5):
        response = requests.get(url, timeout=timeout)
        if response and response.status_code == 200:
            return response
        else:
            print(response.text)
            return response.status_code

    def post(self, url, body, timeout: int = 5, **kwargs):
        response = requests.post(url, body, timeout=timeout)
        if response and response.status_code == 200:
            return response
        else:
            print(response.text)
            return response.status_code

    def patch(self):
        pass

    def delete(self):
        pass

    def put(self):
        pass
