from rest_framework import viewsets
from rest_framework.decorators import action
from rest_framework.request import Request
from django.http import HttpResponse

from ..Clients.CosmohomeClient import generate_xml_task


class CosmohomeView(viewsets.ViewSet):
    @classmethod
    @action(methods=['get'], detail=False, url_path='generate/xml')
    def generate_xml(cls, request: Request, *args, **kwargs) -> HttpResponse:
        final_xml = generate_xml_task()
        return HttpResponse('ok')
